searchNodes=[{"doc":"This library provides Elixir bindings to rust's bracket-noise library, which is a rust port of FastNoise . The core of this module is implemented using NIFs , and most of the functions use a reference ( Isotope.Noise.noise_ref/0 ) to a native rust struct in order to compute the results. Modules Isotope.Noise is the core of the library. It contains the necessary functions to create different types of noises, get noise values at given 2D and 3D points and build or chunk noise maps. Isotope.Options contains the available options that one can pass to the noise generator. Isotope.Utils contains utility functions such as writing a noise map to a file or showing a representation of it on the standard output.","ref":"Isotope.html","title":"Isotope","type":"module"},{"doc":"Provide functions to create and work with different types of noises.","ref":"Isotope.Noise.html","title":"Isotope.Noise","type":"module"},{"doc":"Returns a 2D noise map from start_point to end_point iex&gt; { :ok , noise } = Isotope.Noise . new ( % Isotope.Options { seed : 100 } ) iex&gt; Isotope.Noise . chunk ( noise , { 0 , 0 } , { 100 , 100 } )","ref":"Isotope.Noise.html#chunk/3","title":"Isotope.Noise.chunk/3","type":"function"},{"doc":"Returns the 2D or 3D noise value depending on axes . If axes is a 2-float tuple, it will return the 2D noise value for the point. If axes is a 3-float tuple, it will return the 3D noise value for the point. iex&gt; { :ok , noise } = Isotope.Noise . new ( ) iex&gt; Isotope.Noise . get_noise ( noise , { 10.0 , 10.0 } ) - 0.6350845098495483 iex&gt; { :ok , noise } = Isotope.Noise . new ( ) iex&gt; Isotope.Noise . get_noise ( noise , { 10.0 , 10.0 , 10.0 } ) - 0.1322503685951233","ref":"Isotope.Noise.html#get_noise/2","title":"Isotope.Noise.get_noise/2","type":"function"},{"doc":"Returns a new noise reference using the default options. iex&gt; { :ok , _ref } = Isotope.Noise . new ( )","ref":"Isotope.Noise.html#new/0","title":"Isotope.Noise.new/0","type":"function"},{"doc":"Returns a new noise reference using the provided options . iex&gt; { :ok , _ref } = Isotope.Noise . new ( % Isotope.Options { seed : 100 } ) iex&gt; { :error , :unsupported_noise } = Isotope.Noise . new ( % Isotope.Options { noise_type : :foobar } )","ref":"Isotope.Noise.html#new/1","title":"Isotope.Noise.new/1","type":"function"},{"doc":"Generates a 2D noise map of size and returns it. iex&gt; { :ok , noise } = Isotope.Noise . new ( ) iex&gt; Isotope.Noise . noise_map ( noise , { 20 , 20 } )","ref":"Isotope.Noise.html#noise_map/2","title":"Isotope.Noise.noise_map/2","type":"function"},{"doc":"A coordinate {x, y} in a cartesian plane.","ref":"Isotope.Noise.html#t:coord/0","title":"Isotope.Noise.coord/0","type":"type"},{"doc":"A reference to the noise generator. This is needed for most of the library functions.","ref":"Isotope.Noise.html#t:noise_ref/0","title":"Isotope.Noise.noise_ref/0","type":"type"},{"doc":"A noise map, represented by a list containing lists of floats (the noise values).","ref":"Isotope.Noise.html#t:noisemap/0","title":"Isotope.Noise.noisemap/0","type":"type"},{"doc":"Options available when initializing the noise.","ref":"Isotope.Noise.html#t:options/0","title":"Isotope.Noise.options/0","type":"type"},{"doc":"2-element tuple containg x and y values as floats.","ref":"Isotope.Noise.html#t:point2d/0","title":"Isotope.Noise.point2d/0","type":"type"},{"doc":"3-element tuple containg x, y and z values as floats.","ref":"Isotope.Noise.html#t:point3d/0","title":"Isotope.Noise.point3d/0","type":"type"},{"doc":"A tuple containing width and height","ref":"Isotope.Noise.html#t:size/0","title":"Isotope.Noise.size/0","type":"type"},{"doc":"Options available when initializing the noise.","ref":"Isotope.Options.html","title":"Isotope.Options","type":"module"},{"doc":"Available types of interpolation.","ref":"Isotope.Options.html#t:interpolation/0","title":"Isotope.Options.interpolation/0","type":"type"},{"doc":"Noise types available. :simplex and :simplex_fractal are actually OpenSimplex2.","ref":"Isotope.Options.html#t:noise/0","title":"Isotope.Options.noise/0","type":"type"},{"doc":"","ref":"Isotope.Options.html#t:t/0","title":"Isotope.Options.t/0","type":"type"},{"doc":"Options available for cellular noises.","ref":"Isotope.Options.Cellular.html","title":"Isotope.Options.Cellular","type":"module"},{"doc":"","ref":"Isotope.Options.Cellular.html#t:distance_function/0","title":"Isotope.Options.Cellular.distance_function/0","type":"type"},{"doc":"","ref":"Isotope.Options.Cellular.html#t:return_type/0","title":"Isotope.Options.Cellular.return_type/0","type":"type"},{"doc":"","ref":"Isotope.Options.Cellular.html#t:t/0","title":"Isotope.Options.Cellular.t/0","type":"type"},{"doc":"Options available for fractal noises.","ref":"Isotope.Options.Fractal.html","title":"Isotope.Options.Fractal","type":"module"},{"doc":"Fractal types available.","ref":"Isotope.Options.Fractal.html#t:fractal/0","title":"Isotope.Options.Fractal.fractal/0","type":"type"},{"doc":"","ref":"Isotope.Options.Fractal.html#t:t/0","title":"Isotope.Options.Fractal.t/0","type":"type"},{"doc":"Utilitary functions for working with noise maps.","ref":"Isotope.Utils.html","title":"Isotope.Utils","type":"module"},{"doc":"Shows the given noise map on the stdout using ANSI color codes. This won't work if your terminal doesn't support ANSI color codes. { :ok , noise } = Isotope.Noise . new ( ) noise |&gt; Isotope.Noise . noise_map ( { 50 , 50 } ) |&gt; Isotope.Utils . show_noisemap ( ) # Outputs noise visualization :ok","ref":"Isotope.Utils.html#show_noisemap/1","title":"Isotope.Utils.show_noisemap/1","type":"function"},{"doc":"Writes the given noise map to a PNG file. iex&gt; { :ok , noise } = Isotope.Noise . new ( ) iex&gt; { :ok , &quot;/tmp/my_test_noise.png&quot; } = ...&gt; noise ...&gt; |&gt; Isotope.Noise . noise_map ( { 200 , 200 } ) ...&gt; |&gt; Isotope.Utils . write_to_file ( &quot;/tmp/my_test_noise.png&quot; )","ref":"Isotope.Utils.html#write_to_file/2","title":"Isotope.Utils.write_to_file/2","type":"function"}]